Name:           perl-GStreamer
Version:        0.09
Release:        6%{?dist}
Summary:        Perl bindings to the GStreamer framework
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/GStreamer/
Source0:        http://www.cpan.org/authors/id/T/TS/TSCH/GStreamer-%{version}.tar.gz

# see http://bugzilla.gnome.org/show_bug.cgi?id=348454
Patch0:         test.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(ExtUtils::Depends) >= 0.205
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1.07
BuildRequires:  perl(Glib) >= 1.120
BuildRequires:  gstreamer-devel

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
GStreamer makes everybody dance like crazy.  It provides the means to play,
stream, and convert nearly any type of media -- be it audio or video.
GStreamer wraps the GStreamer library in a nice and Perlish way, freeing 
the programmer from any memory management and object casting hassles.


%prep
%setup -q -n GStreamer-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# note some 64-bit funkiness (but not failures):
# http://bugzilla.gnome.org/show_bug.cgi?id=352750
# http://bugzilla.gnome.org/show_bug.cgi?id=352753
# note2: as near as I can tell, tests under plague/mock are just totally
# broken.  module works just fine on my box, so we're just going to build w/o
# tests here.  IF YOU WANT TO RUN THE TESTS, easiest way is to rebuild the rpm
# on your own box, passing --with-network-tests to rpmbuild.
%{?_with_network_tests: make test}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog doctypes gst.typemap LICENSE maps NEWS README TODO examples/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GStreamer*
%{_mandir}/man3/*

%changelog
* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.09-6
Rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.09-5
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.09-4
- bump

* Mon Feb 19 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.09-3
- disable test suite for mock/plague building; they just won't play nice with
  each other.  pass --with-network-tests to rpmbuild for local testing.

* Sun Sep 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.09-2
- bump

* Wed Aug 23 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- Specfile autogenerated by cpanspec 1.68.
- Initial spec file for F-E
